Get all inventory attribute setups
get
/fscmRestApi/resources/11.13.18.05/inventoryAttributeSetups
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds the inventory attribute setup for the specified primary key.
Finder Variables- InventoryAttributeSetupId; integer; Unique identifier for the inventory attribute setup.
- PrimaryKey Finds the inventory attribute setup for the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- ApplicabilityCode; string; Unique identifier of the applicability code for an inventory attribute.
- AttributeCode; string; Indicates the descriptive flexfield segment code for which the attribute setup is applicable.
- EnabledFlag; boolean; Indicates whether the attribute is enabled for inventory tracking.
- InventoryAttributeSetupId; integer; Unique identifier for the inventory attribute setup.
- OverrideAllowedFlag; boolean; Unique identifier of the applicability code for an inventory attribute.
- RequiredFlag; boolean; Indicates whether a nonnull value must be specified for the attribute during transactions that increment on-hand quantity.
- ReservationsAllowedFlag; boolean; Indicates whether a reservation can be created using the inventory attribute.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : inventoryAttributeSetups
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : inventoryAttributeSetups-item-response
Type:
Show Source
object-
ApplicabilityCode: string
Maximum Length:
30Unique identifier of the applicability code for an inventory attribute. -
ApplicabilityCodeMeaning: string
Read Only:
trueMaximum Length:255Unique identifier of the meaning of the applicability code for an inventory attribute. -
attributeApplicabilities: array
Inventory Attribute Applicabilities
Title:
Inventory Attribute ApplicabilitiesApplicability of the inventory tracking attribute. -
AttributeCode: string
Maximum Length:
30Indicates the descriptive flexfield segment code for which the attribute setup is applicable. -
attributeMappings: array
Inventory Attribute Mapping Rules
Title:
Inventory Attribute Mapping RulesAttribute mapping rules for the inventory tracking attributes. -
AttributeName: string
Read Only:
trueMaximum Length:255Indicates the descriptive flexfield segment name for which the attribute setup is applicable. -
EnabledFlag: boolean
Maximum Length:
1Indicates whether the attribute is enabled for inventory tracking. -
InventoryAttributeSetupId: integer
(int64)
Read Only:
trueUnique identifier for the inventory attribute setup. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OverrideAllowedFlag: boolean
Maximum Length:
1Unique identifier of the applicability code for an inventory attribute. -
RequiredFlag: boolean
Maximum Length:
1Indicates whether a nonnull value must be specified for the attribute during transactions that increment on-hand quantity. -
ReservationsAllowedFlag: boolean
Maximum Length:
1Indicates whether a reservation can be created using the inventory attribute.
Nested Schema : Inventory Attribute Applicabilities
Type:
arrayTitle:
Inventory Attribute ApplicabilitiesApplicability of the inventory tracking attribute.
Show Source
Nested Schema : Inventory Attribute Mapping Rules
Type:
arrayTitle:
Inventory Attribute Mapping RulesAttribute mapping rules for the inventory tracking attributes.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : inventoryAttributeSetups-attributeApplicabilities-item-response
Type:
Show Source
object-
InventoryAttributeApplicabilityId: integer
(int64)
Read Only:
trueUnique identifier for the applicability of an inventory attribute. -
InventoryAttributeSetupId: integer
(int64)
Unique identifier of the inventory attribute setup associated with the inventory attribute applicability.
-
ItemCatalogCode: string
Read Only:
trueMaximum Length:30Unique identifier of the item catalog code. -
ItemCatalogId: integer
(int64)
Unique identifier for the item catalog.
-
ItemCatalogName: string
Read Only:
trueMaximum Length:30Name of the item catalog. -
ItemCategoryCode: string
Read Only:
trueMaximum Length:820Unique identifier of the category code within a catalog. -
ItemCategoryId: integer
(int64)
Unique identifier for the item category.
-
ItemCategoryName: string
Read Only:
trueMaximum Length:2400Name of the item category. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OrganizationCode: string
Read Only:
trueMaximum Length:18Unique identifier of the organization code. -
OrganizationId: integer
(int64)
Unique identifier for the organization.
-
OrganizationName: string
Read Only:
trueMaximum Length:240Name of the organization.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : inventoryAttributeSetups-attributeMappings-item-response
Type:
Show Source
object-
InventoryAttributeMappingId: integer
(int64)
Read Only:
trueUnique identifier for the inventory attribute mapping rule. -
InventoryAttributeSetupId: integer
(int64)
Unique identifier for the inventory attribute setup used in mapping.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MappingObject: string
Maximum Length:
30Unique identifier of the type of object for which mapping is defined. -
MappingObjectAttribute: string
Maximum Length:
30Unique identifier of the attribute of the mapping object for which the mapping is defined. -
SourceType: string
Maximum Length:
30Unique identifier of the source type for which mapping is defined. -
SourceTypeMeaning: string
Read Only:
trueMaximum Length:255Unique identifier of the meaning of the source type for which mapping is defined.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- getStripingAttributeSetup
-
Operation: /fscmRestApi/resources/11.13.18.05/inventoryAttributeSetups/action/getStripingAttributeSetupUnique identifier of the applicability code for an inventory attribute.